Subject: bug#54017: add regexp translation option to read-regexp

From: emacsq <[email-masked]>
Date: Wed, 16 Feb 2022 19:28:14 +0000

> This user option already exists. It's name is 'search-default-mode'.

Does that option affect every command where read regexp is used?
Because this bug is about that.

So regexp translation for occur, flush/keep-lines, highlight-regexp,
dired-mark-files-regexp, etc., so anywhere where read-regexp is used.